import { openBlock, createElementBlock, mergeProps, createElementVNode } from "vue";
import _export_sfc from "../_virtual/plugin-vue_export-helper.js";
const _sfc_main = {
  name: "IconColorClickhouse",
  props: {
    prefix: {
      type: String,
      default: "sc"
    },
    useCurrentColor: {
      type: Boolean,
      default: false
    }
  }
};
const _hoisted_1 = { "clip-path": "url(#svg_822de1b17f__clip0_3418_263489)" };
const _hoisted_2 = ["fill"];
const _hoisted_3 = ["fill"];
const _hoisted_4 = { id: "svg_822de1b17f__clip0_3418_263489" };
const _hoisted_5 = ["fill"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("svg", mergeProps({
    viewBox: "0 0 16 16",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-color-clickhouse`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), [
    createElementVNode("g", _hoisted_1, [
      createElementVNode("path", {
        d: "M0 0.9375H1.69383V13.3678H0V0.9375ZM3.57438 0.9375H5.26821V15.0616H3.57438V0.9375ZM7.15543 0.9375H8.84926V15.0616H7.15543V0.9375ZM10.7298 0.9375H12.4236V15.0616H10.7298V0.9375ZM14.3109 6.58582H16.0047V9.41332H14.3109V6.58582Z",
        fill: $props.useCurrentColor ? "currentColor" : "#FFCB14"
      }, null, 8, _hoisted_2),
      createElementVNode("path", {
        d: "M0 13.3691H1.69383V15.063H0V13.3691Z",
        fill: $props.useCurrentColor ? "currentColor" : "red"
      }, null, 8, _hoisted_3)
    ]),
    createElementVNode("defs", null, [
      createElementVNode("clipPath", _hoisted_4, [
        createElementVNode("path", {
          fill: $props.useCurrentColor ? "currentColor" : "#fff",
          d: "M0 0H16V16H0z"
        }, null, 8, _hoisted_5)
      ])
    ])
  ], 16);
}
var index = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { index as default };
